SCALBN(3)

NAME
scalbln, scalblnf, scalblnl, scalbn, scalbnf, scalbnl - adjust exponent

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
scalbln(double x, long n);
float
scalblnf(float x, long n);
long double
scalblnl(long double x, long n);
double
scalbn(double x, int n);
float
scalbnf(float x, int n);
long double
scalbnl(long double x, int n);

DESCRIPTION
These routines return x*(2**n) computed by exponent manipulation.

SEE ALSO
ieee(3), math(3)

STANDARDS
These routines conform to isoC-99, and they implement the Scalb function recommended by ieee754.

HISTORY
The scalbn() and scalbnf() functions appeared in 4.3BSD and FreeBSD 2.0, respectively. The scalbln() and scalblnf() functions first appeared in FreeBSD 5.3, and scalblnl() and scalbln() in FreeBSD 6.0.